[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# CheckTransparentWindow

Checks whether the handle for a windowed control (or a parent control) is transparent.

## Declaration

Source position: controls.pp line 2764

`procedure CheckTransparentWindow(`
`var Handle: TLCLHandle;`
`var AWinControl: TWinControl`
`);`

## Arguments

`Handle` |  | Handle for the control (or parent) found for the specified windowed control.
`AWinControl` |  | Handle for the windowed control examined in the routine.

## Description

CheckTransparentWindow is procedure used to check whether the handle for a windowed control (or a parent control) is transparent. CheckTransparentWindow uses the current mouse position to locate controls or forms under the mouse pointer. The LM_NCHITTEST message is performed for AWinControl to determine if the handle is drawn transparently. Additional Forms in the Z-Order are visited until an opaque windowed control is located. Parent controls are searched too (when needed).

CheckTransparentWindow updates the values in Handle and AWinControl to reflect the results from the search. When an overlayed control is not located, the value in Handle is set to 0, and AWinControl is set to Nil.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type instead of the deprecated THandle type for the Handle argument.

## See also

TControl.Parent |  | The control within which the control is shown.
TMouse.CursorPos |  | The screen position for the mouse cursor.
TScreen.CustomFormZOrderCount |  | Number of custom forms instances in the CustomFormsZOrdered property.
TLCLHandle |  | Alias to the TLCLHandle type defined for widgetset references.